Package commoble.morered.client

# Class ClientProxy

java.lang.Object
commoble.morered.client.ClientProxy

public class ClientProxy extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClientProxy()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addClientListeners(net.neoforged.bus.api.IEventBus modBus, net.neoforged.bus.api.IEventBus forgeBus)`
`static void`
`clear()`
`static List<net.minecraft.world.item.crafting.RecipeHolder<SolderingRecipe>>`
`getAllSolderingRecipes(net.minecraft.world.item.crafting.RecipeManager manager, net.minecraft.core.RegistryAccess registries)`
`static Set<net.minecraft.core.BlockPos>`
`getPostsInChunk(net.minecraft.world.level.ChunkPos pos)`
`static void`
`initializeAbstractWireBlockClient(AbstractWireBlock block, Consumer<net.neoforged.neoforge.client.extensions.common.IClientBlockExtensions> consumer)`
`static void`
`onClientSetup(net.neoforged.fml.event.lifecycle.FMLClientSetupEvent event)`
`static void`
`onInteract(net.neoforged.neoforge.client.event.InputEvent.InteractionKeyMappingTriggered event)`
`static void`
`onRegisterBlockColors(net.neoforged.neoforge.client.event.RegisterColorHandlersEvent.Block event)`
`static void`
`onRegisterItemColors(net.neoforged.neoforge.client.event.RegisterColorHandlersEvent.Item event)`
`static void`
`onRegisterModelLoaders(net.neoforged.neoforge.client.event.ModelEvent.RegisterGeometryLoaders event)`
`static void`
`onWireBreakPacket(WireBreakPacket packet)`
`static void`
`onWireUpdatePacket(WireUpdatePacket packet)`
`static void`
`updatePostsInChunk(net.minecraft.world.level.ChunkPos pos, Set<net.minecraft.core.BlockPos> posts)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClientProxy

public ClientProxy()

## Method Details

### clear

public static void clear()

### updatePostsInChunk

public static void updatePostsInChunk(net.minecraft.world.level.ChunkPos pos, Set<net.minecraft.core.BlockPos> posts)

### getPostsInChunk

@Nonnull public static Set<net.minecraft.core.BlockPos> getPostsInChunk(net.minecraft.world.level.ChunkPos pos)

### initializeAbstractWireBlockClient

public static void initializeAbstractWireBlockClient(AbstractWireBlock block, Consumer<net.neoforged.neoforge.client.extensions.common.IClientBlockExtensions> consumer)

### addClientListeners

public static void addClientListeners(net.neoforged.bus.api.IEventBus modBus, net.neoforged.bus.api.IEventBus forgeBus)

### onClientSetup

public static void onClientSetup(net.neoforged.fml.event.lifecycle.FMLClientSetupEvent event)

### onRegisterModelLoaders

public static void onRegisterModelLoaders(net.neoforged.neoforge.client.event.ModelEvent.RegisterGeometryLoaders event)

### onRegisterBlockColors

public static void onRegisterBlockColors(net.neoforged.neoforge.client.event.RegisterColorHandlersEvent.Block event)

### onRegisterItemColors

public static void onRegisterItemColors(net.neoforged.neoforge.client.event.RegisterColorHandlersEvent.Item event)

### onInteract

public static void onInteract(net.neoforged.neoforge.client.event.InputEvent.InteractionKeyMappingTriggered event)

### onWireBreakPacket

public static void onWireBreakPacket(WireBreakPacket packet)

### onWireUpdatePacket

public static void onWireUpdatePacket(WireUpdatePacket packet)

### getAllSolderingRecipes

public static List<net.minecraft.world.item.crafting.RecipeHolder<SolderingRecipe>> getAllSolderingRecipes(net.minecraft.world.item.crafting.RecipeManager manager, net.minecraft.core.RegistryAccess registries)